<template>
    <NuxtPage />
</template>

<style>

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
    font-family: Arial, Helvetica, sans-serif;
	vertical-align: baseline;
}

dialog {
    border-radius: 8px;
}

dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}

.page-wrapper {
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    position: fixed;
    overflow: hidden;
    background-image: linear-gradient(to bottom left, #ef4444, #8b5cf6, #3b82f6);
    display: grid;
    place-items: center;
}

.login-card {
    box-sizing: border-box;
    width: 400px;
    height: auto;
    background-color: whitesmoke;
    padding: 8px;
    border-radius: 8px;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
}

.input-layout {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 8px;
}

.error-ball {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: red;
    color: white;
    font-weight: 600;
    display: grid;
    place-items: center;
}

.flex-layout {
    display: flex;
    align-items: center;
    gap: 8px;
    align-items: baseline;
}

.flex-layout.columns {
    flex-direction: column;
}

.close-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: 16px;
}

.role-pill {
    width: auto;
    height: auto;
    border-radius: 4px;
    background-color: lightgray;
    color: black;
    font-weight: 600;
    padding: 4px 8px;
    display: grid;
    place-items: center;
}

h1 {
    font-size: 1.5rem;
    font-weight: 600;
    margin: 0;
}

label {
    font-size: 0.8rem;
    font-weight: 400;
    display: flex;
    flex-direction: column;
}

input {
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    outline: none;
    transition: all 0.2s ease-in-out;
    margin-top: 2px;
}

input:focus {
    border-color: #3b82f6;
    box-shadow: 0 0 0 2px #3b82f6;
}

button {
    width: 100%;
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    outline: none;
    transition: all 0.2s ease-in-out;
    background-color: black;
    color: white;
    font-weight: 600;
    cursor: pointer;
}

button.secondary {
    width: auto;
    background-color: transparent;
    color: gray;
    padding: 0;
    border: none;
}

img {
    width: 100%;
    height: auto;
    border-radius: 4px;
    margin-bottom: -6px;
}

blockquote {
    font: 14px/22px normal helvetica, sans-serif;
    padding-left: 15px;
    border-left: 3px solid blue;
    background-color: lightgray;
}

</style>
